#!/bin/bash

S=":"
if [ "$OSTYPE" == "cygwin" ]; then S=";"; fi

LIBS="$(cat<<EOF
antlr.jar
arq.jar
commons-logging.jar
concurrent.jar
icu4j.jar
jakarta-oro-2.0.5.jar
jena.jar
junit.jar
log4j-1.2.9.jar
xercesImpl.jar
xml-apis.jar
)"

CP=""
for jar in $LIBS
do
  jar="lib/${jar}"
  if [ "$CP" == "" ]
  then
      CP="${jar}"
  else
      CP="$CP${S}${jar}"
      fi
  done

## echo $CP
## java  -cp "$CP" junit.textui.TestRunner com.hp.hpl.jena.query.test.ARQTestSuite

java -cp "$CP" arq.qtest --all
